void printl(long val);

int main()
{
  long a[] = { 1, 2, -3, 4, -5, 6, 0 };
  long *p;

  for (p = a; *p; p = p + 2) {
    printl(*p);
  }

  for (p = a; *p != 1; p = p - 2) {
    printl(*p);
  }

  return 0;
}
